# Configuration file

##########################################################################################################
# hammer recipes
#--------------------------------------------------------------------------------------------------------#
# This section allows you to add your own recipes for the Crack Hammer (and other rock 
# crushers). Recipes are specified in semicolon (;) delimited lists of formulas in the 
# format modid:name#y->x*modid:name#y, where x is the number of items in a stack and y 
# is the metadata value. Note that both x and y are optional, so you can use the 
# formula modid:name->modid:name for most items/blocks. 
# 
# All properties in this section will be parsed for formulas, regardless their name. 
# This lets you organize your recipe lists for easier reading.
##########################################################################################################

"hammer recipes" {
    # Example: minecraft:stained_glass#11->minecraft:dye#4; minecraft:wool->4*minecraft:string
    S:custom=
}


options {
    # If true, then Base Metals will scan the Ore Dictionary to automatically add a 
    # Crack Hammer recipe for every material that has an ore, dust, and ingot. [default: true]
    B:automatic_recipes=true

    # If true, then ore generation will be handled exclusively by oregen .json files 
    # (vanilla ore generation will be disabled) [default: false]
    B:disable_standard_ore_generation=false

    # If true, then villagers will be replaced with clones that have a better trading API.
    # If false, then no villager trades will be added [default: true]
    B:enable_custom_villagers=true

    # If true, then the crack hammer cannot crush ingots into powders if that 
    # crackhammer is not hard enough to crush the ingot's ore. [default: true]
    B:enforce_hardness=true

    # If true, then ore generation cannot be disabled by other mods. [default: false]
    B:force_ore_generation=false

    # If true, then the crack hammer can crush ingots/ores that a pickaxe of the same 
    # material can harvest. If false, then your crack hammer must be made of a harder 
    # material than the ore you are crushing. [default: true]
    B:strong_hammers=true

    # Controls the rarity of metal ingots being found in treasure chests relative to 
    # the frequency of other chest loot items. Set to 0 to disable metal ingots from 
    # appearing in treasure chests. [range: 0.0 ~ 1000.0, default: 0.5]
    S:treasure_chest_loot_factor=0.5
}


